Index: code/branches/core5/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/branches/core5/src/modules/questsystem/QuestManager.cc	(revision 5866)
+++ code/branches/core5/src/modules/questsystem/QuestManager.cc	(revision 5867)
@@ -41,4 +41,5 @@
 #include "core/ConsoleCommand.h"
 #include "core/LuaState.h"
+#include "core/ScopedSingletonManager.h"
 #include "infos/PlayerInfo.h"
 #include "overlays/GUIOverlay.h"
@@ -56,4 +57,5 @@
     //! Pointer to the current (and single) instance of this class.
     /*static*/ QuestManager* QuestManager::singletonPtr_s = NULL;
+    ManageScopedSingleton(QuestManager, ScopeID::Root);
 
     /**
Index: code/branches/core5/src/modules/questsystem/QuestManager.h
===================================================================
--- code/branches/core5/src/modules/questsystem/QuestManager.h	(revision 5866)
+++ code/branches/core5/src/modules/questsystem/QuestManager.h	(revision 5867)
@@ -42,5 +42,5 @@
 #include <string>
 
-#include "util/ScopedSingleton.h"
+#include "util/Singleton.h"
 #include "core/OrxonoxClass.h"
 
@@ -59,8 +59,8 @@
     class _QuestsystemExport QuestManager
 // tolua_end
-        : public ScopedSingleton<QuestManager, ScopeID::Root>, public orxonox::OrxonoxClass
+        : public Singleton<QuestManager>, public orxonox::OrxonoxClass
     { // tolua_export
 
-            friend class ScopedSingleton<QuestManager, ScopeID::Root>;
+            friend class Singleton<QuestManager>;
             friend class QuestGUI;
 
@@ -70,5 +70,5 @@
 
             //! Returns a reference to the single instance of the Quest Manager.
-            static QuestManager& getInstance() { return ScopedSingleton<QuestManager, ScopeID::Root>::getInstance(); } // tolua_export
+            static QuestManager& getInstance() { return Singleton<QuestManager>::getInstance(); } // tolua_export
 
             //! Retreive the main window for the GUI. 
Index: code/branches/core5/src/modules/questsystem/QuestsystemPrecompiledHeaders.h
===================================================================
--- code/branches/core5/src/modules/questsystem/QuestsystemPrecompiledHeaders.h	(revision 5866)
+++ code/branches/core5/src/modules/questsystem/QuestsystemPrecompiledHeaders.h	(revision 5867)
@@ -51,6 +51,6 @@
 #include <OgreColourValue.h> // 16
 
-#include <tinyxml/ticpp.h>        // 14
-#include "util/ScopedSingleton.h" // 13
+#include <tinyxml/ticpp.h>   // 14
+#include "util/Singleton.h"  // 13
 
 ///////////////////////////////////////////
Index: code/branches/core5/src/modules/questsystem/notifications/NotificationManager.cc
===================================================================
--- code/branches/core5/src/modules/questsystem/notifications/NotificationManager.cc	(revision 5866)
+++ code/branches/core5/src/modules/questsystem/notifications/NotificationManager.cc	(revision 5867)
@@ -37,4 +37,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/ScopedSingletonManager.h"
 #include "Notification.h"
 #include "interfaces/NotificationListener.h"
@@ -47,4 +48,5 @@
 
     NotificationManager* NotificationManager::singletonPtr_s = NULL;
+    ManageScopedSingleton(NotificationManager, ScopeID::Root);
 
     /**
Index: code/branches/core5/src/modules/questsystem/notifications/NotificationManager.h
===================================================================
--- code/branches/core5/src/modules/questsystem/notifications/NotificationManager.h	(revision 5866)
+++ code/branches/core5/src/modules/questsystem/notifications/NotificationManager.h	(revision 5867)
@@ -41,5 +41,5 @@
 #include <string>
 
-#include "util/ScopedSingleton.h"
+#include "util/Singleton.h"
 #include "core/OrxonoxClass.h"
 
@@ -53,7 +53,7 @@
         Damian 'Mozork' Frick
     */
-    class _QuestsystemExport NotificationManager : public ScopedSingleton<NotificationManager, ScopeID::Root>, public OrxonoxClass
+    class _QuestsystemExport NotificationManager : public Singleton<NotificationManager>, public OrxonoxClass
     {
-            friend class ScopedSingleton<NotificationManager, ScopeID::Root>;
+            friend class Singleton<NotificationManager>;
         public:
             NotificationManager();
